PooledMultiSender (Apache Tomcat 9.0.73 API Documentation)

Package org.apache.catalina.tribes.transport.bio

## Class PooledMultiSender

- java.lang.Object
- - org.apache.catalina.tribes.transport.AbstractSender
  - - org.apache.catalina.tribes.transport.PooledSender
    - - org.apache.catalina.tribes.transport.bio.PooledMultiSender

- All Implemented Interfaces:
    `DataSender`, `MultiPointSender`

      @Deprecated
      public class PooledMultiSender
      extends PooledSender

  Deprecated.
  This will be removed in Tomcat 10

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static StringManager` | `sm` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PooledMultiSender()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataSender` | `getNewDataSender()` | Deprecated.
    `void` | `sendMessage​(Member[] destination, ChannelMessage msg)` | Deprecated.

    - ### Methods inherited from class org.apache.catalina.tribes.transport.PooledSender

      `add, connect, disconnect, getInPoolSize, getInUsePoolSize, getMaxWait, getPoolSize, getSender, keepalive, remove, returnSender, setMaxWait, setPoolSize`

    - ### Methods inherited from class org.apache.catalina.tribes.transport.AbstractSender

      `getAddress, getAttempt, getConnectTime, getDestination, getDirectBuffer, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getOoBInline, getPort, getRequestCount, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, getUdpPort, getUdpRxBufSize, getUdpTxBufSize, isConnected, isUdpBased, setAddress, setAttempt, setConnected, setConnectTime, setDestination, setDirectBuffer, setKeepAliveCount, setKeepAliveTime, setMaxRetryAttempts, setOoBInline, setPort, setRequestCount, setRxBufSize, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setThrowOnFailedAck, setTimeout, setTxBufSize, setUdpBased, setUdpPort, setUdpRxBufSize, setUdpTxBufSize, transferProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.catalina.tribes.transport.DataSender

      `getConnectTime, getRequestCount, isConnected, setKeepAliveCount, setKeepAliveTime, setRxBufSize, setTimeout, setTxBufSize`

    - ### Methods inherited from interface org.apache.catalina.tribes.transport.MultiPointSender

      `setDirectBuffer, setMaxRetryAttempts`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

      Deprecated.

  - ### Constructor Detail

    - #### PooledMultiSender

          public PooledMultiSender()

      Deprecated.

  - ### Method Detail

    - #### sendMessage

          public void sendMessage​(Member[] destination,
                                  ChannelMessage msg)
                           throws ChannelException

      Deprecated.
      Throws:
        `ChannelException`

    - #### getNewDataSender

          public DataSender getNewDataSender()

      Deprecated.
      Specified by:
        `getNewDataSender` in class `PooledSender`